Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# Domain Object Override Settings Reference

You can override some of the default domain object settings for each ontology object.

For details on default settings, see Domain Objects Default Settings Reference.

CDD Cluster Tab Domain Object Override Settings
Property | Notes
--- | ---
Entity URI | Specifies the project path to the entity for which overrides are being set. Defaults to the selected entity’s URI. For example: `/Concepts/MyConcept`.
Mode | Overrides the Default level setting for this object type. Memory Only Mode If you set the mode for an entity to Memory Only, the rest of the properties in this section are not relevant and are ignored. Backing store is disabled for entities that use Memory Only mode. Warning: Caution: If you change from Memory Only mode to a cache mode after the backing store has been set up, you must update the backing store schema. See Updating Existing Backing Store Schema.
Preload Entities | Specifies whether objects of the specified type are loaded into the cache from the backing store on system startup (both normal startup and recovery). Overrides the Preload Entities setting at the Default level. default Use the Preload Entities setting specified at the default level. true Objects of the specified type are preloaded into the cache from the backing store. If the default level setting is not to Preload Entities, you can use this override to preload selected entities. false No objects of the specified type are preloaded into the cache from the backing store. If the default level setting is to Preload Entities, you can use this override not to preload selected entities. Default is `default.`
Preload Handles | Specifies whether object handles for the specified type are loaded into the cache from the backing store on system startup (both normal startup and recovery). Overrides the Preload Handles setting at the Default level. default Use the Preload Handles setting specified at the default level. true Handles for the specified type are preloaded into the cache from the backing store. If the default level setting is not to Preload Handles, you can use this override to preload selected entities’ handles. false No handles for the specified type are preloaded into the cache from the backing store. If the default level setting is to Preload Handles, you can use this override to prevent preloading the selected entities’ handles. Default is `default.`
Preload Fetch Size | Overrides the Preload Fetch Size setting in the Default settings.
Check for Version | Overrides the value of the same-named setting in the Default settings.
Evict from Cache on Update | Overrides the value of the same-named setting in the Default settings.
Is Cache Limited | Overrides the value of the same-named setting in the Default settings.
Entity Cache Size (in MB) | Specifies the size of the limited cache, in total memory capacity for each object type. The setting is per processing unit. See Configuring a Limited (or Unlimited) Cache. The default value is `50MB` and the minimum value should be greater than `15MB`. The overridden Entity Cache Size takes precedence when the value is set to greater than zero for all entity types. The default Entity Cache Size is used when the value is less than zero or not mentioned.
Concept TTL | (Concepts only) Overrides the value of the same-named setting in the Default settings.
Backing Store Section
Has Backing Store | Used only if the `Store` is selected as the Persistence Option. To exclude an entity from the backing store, clear the Has Backing Store checkbox. Warning: If you enable this override setting after the backing store has been set up, you must update the backing store schema. See Updating Existing Backing Store Schema. Concepts Related by Containment or Inheritance All concepts related by containment or inheritance must either be included in the backing store or excluded from the backing store. That is, they must share value for the Has Backing Store setting. By default, the checkbox is selected.
Table Name | Specifies a table name to be used in the backing store. Typically used if the entity name is long. For details on ontology identifiers that exceed the DBMS maximum column length, see Ontology Identifiers that Exceed the DBMS Maximum Column Length.
Properties Metadata Section
Property | (Read-only) Displays the property name.
Present in Key | Restriction: Available only for concepts and when a key-based data lookup strategy is enabled. For details, see Primary Key Strategies. Select the checkbox if the property is used as the primary key for data lookup in the store.
Present in Index | Select the checkbox if the property is used in the index.
Encrypted | Specifies whether the property should be encrypted. The values are: true false (default) Note: For field level encryption to work, cluster level "Security" must be enabled and a policy file must have 'data_encryption=true' set in it. Fields that are indexed cannot be selected for encryption. Fields that are used in query filters should not be encrypted.
Max Length | Used with a backing store to specify the length of string properties that exceed 255 characters (that is the actual contents stored in the column is more than 255 characters). Specifies the expected maximum length for the property, see String Properties that Exceed the DBMS Maximum Column Length
Reverse References | This setting is for use only with ConceptReference type concept properties. With a backing store, database updates related to a referring concept in a referenced concept can cause decreased performance. This happens when there are very many reverse references in a shared instance (referenced by many other instances). To address this issue, set the value to `false` for ConceptReference type properties. If you set the value to `false`, you must explicitly remove ConceptReference properties for deleted referenced concepts in the referring concept in your code. For example, if employee is a ConceptReference type property in a concept acme, and smith is an instance of a concept type employee, then you would set Reverse References to true for the employee ConceptReference property, and you would add something like this to the rules:
    acme.employee = null;
    Instance.deleteInstance(smith);
Or, for array properties:
    Instance.PropertyArray.removeConceptReference(acme.employee, smith);
    Instance.deleteInstance(smith);
Default is `true`.
Affinity Key | Sets the property as the key for easily accessing objects in Apache Ignite cache to improve the performance. After the affinity key is applied, objects with the same value in the affinity key property are stored in the same node in the cache. The affinity key is applied when the legacy lookup strategy is disabled. Note: You can select only one property as the affinity key per entity and it is applied to fields present in the key. In a parent-child entity-relationship, the affinity key from a parent entity (if defined for a parent entity) is inherited to its child entity when a child entity does not have any affinity key defined. The affinity key must be set on the same property for a concept and its contained or reference concepts irrespective of their relationship to persist them on the same node.
Composite Indexes Section The table lists the composite indexes for the entity. Composite indexes are based on multiple columns (entity properties). You can add, delete, and edit a composite index from the list. Click the Add icon () to create a composite index. In the Create Composite Index window, select the properties that you want to include in the composite index and click OK. A new composite index (with an autogenerated name) is displayed on the composite indexes list.
Index Name | Displays the name of the composite index. You can perform the following actions on the selected composite index: Edit the composite index - Select the index row and click the Edit () icon to edit the composite index. You can either add a property or remove a property from the index. Delete the composite index - Select the index row and click the Delete () icon to delete the composite index.
Properties | Displays the properties that are included in the composite index.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.